Debian Bug report logs - #443701
nautilus crash getting properties of large tiff file on amd64

version graph

Package: nautilus; Maintainer for nautilus is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for nautilus is src:nautilus.

Reported by: Klee Dienes <klee@MIT.EDU>

Date: Sun, 23 Sep 2007 14:27:02 UTC

Severity: important

Fixed in version gtk+2.0/2.12.1-2

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#443701; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to Klee Dienes <klee@MIT.EDU>:
New Bug report received and forwarded. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Klee Dienes <klee@MIT.EDU>
To: submit@bugs.debian.org
Subject: nautilus crash getting properties of large tiff file on amd64
Date: Sun, 23 Sep 2007 09:24:29 -0500
Package: nautilus
Version: 2.18.3-3
Severity: important

Nautilus crashes on amd64 when trying to display properties for a very large TIFF file (150MB).
I am unable to generate a bug-buddy report as it crashes as well in a different section of the code.

The crash is 100% reproducible; I am happy to provide the TIFF file or other additional
information on request.

Backtrace:

#0  0x00002afb9bbc46a5 in raise () from /lib/libc.so.6
#1  0x00002afb9bbc6100 in abort () from /lib/libc.so.6
#2  0x00002afb9af40350 in IA__g_logv (log_domain=0x2afb98f1ef17 "Gtk", log_level=G_LOG_LEVEL_ERROR, format=0x2afb9af6f038 "file %s: line %d (%s): assertion failed: (%s)", args1=0x7fff13ba3a70) at /build/buildd/glib2.0-2.14.1/glib/gmessages.c:497
#3  0x00002afb9af403d3 in IA__g_log (log_domain=0x4f3a <Address 0x4f3a out of bounds>, log_level=20282, format=0x6 <Address 0x6 out of bounds>) at /build/buildd/glib2.0-2.14.1/glib/gmessages.c:517
#4  0x00002afb9af40456 in IA__g_assert_warning (log_domain=0x2afb98f1ef17 "Gtk", file=0x2afb98fa89c0 "/build/buildd/gtk+2.0-2.12.0/gtk/gtkliststore.c", line=1677, pretty_function=0x2afb98fa9100 "gtk_list_store_compare_func", expression=0x2afb98fa89f0 "VALID_ITER (&iter_b, list_store)") at /build/buildd/glib2.0-2.14.1/glib/gmessages.c:552
#5  0x00002afb98dd724b in gtk_list_store_compare_func (a=0x1011950, b=0xfa7d40, user_data=<value optimized out>) at /build/buildd/gtk+2.0-2.12.0/gtk/gtkliststore.c:1677
#6  0x00000000004fd329 in ?? ()
#7  0x00000000004fd4d9 in ?? ()
#8  0x00000000004fdd60 in g_sequence_sort_changed_iter ()
#9  0x00002afb98dd7684 in gtk_list_store_sort_iter_changed (list_store=0xc48c20, iter=0x7fff13ba3e20, column=<value optimized out>) at /build/buildd/gtk+2.0-2.12.0/gtk/gtkliststore.c:1758
#10 0x00002afb98dd93c3 in IA__gtk_list_store_set_valist (list_store=0xc48c20, iter=0x7fff13ba3e20, var_args=0x7fff13ba3cd0) at /build/buildd/gtk+2.0-2.12.0/gtk/gtkliststore.c:901
#11 0x00002afb98dd9488 in IA__gtk_list_store_set (list_store=0x4f3a, iter=0x4f3a) at /build/buildd/gtk+2.0-2.12.0/gtk/gtkliststore.c:934
#12 0x00002afb9758de41 in ?? () from /usr/lib/libeel-2-2.18.so
#13 0x00002afb9758e6a1 in eel_mime_application_chooser_new () from /usr/lib/libeel-2-2.18.so
#14 0x000000000049a5b7 in ?? ()
#15 0x00000000004b0b0f in ?? ()
#16 0x00002afb9af37d54 in IA__g_main_context_dispatch (context=0x786c60) at /build/buildd/glib2.0-2.14.1/glib/gmain.c:2061
#17 0x00002afb9af3b03d in g_main_context_iterate (context=0x786c60, block=1, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.14.1/glib/gmain.c:2694
#18 0x00002afb9af3b337 in IA__g_main_loop_run (loop=0x7970a0) at /build/buildd/glib2.0-2.14.1/glib/gmain.c:2898
#19 0x00002afb98ddbec3 in IA__gtk_main () at /build/buildd/gtk+2.0-2.12.0/gtk/gtkmain.c:1144
#20 0x0000000000453633 in main ()

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22.7 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages nautilus depends on:
ii  desktop-file-utils         0.12-1        Utilities for .desktop files
ii  gnome-control-center       1:2.20.0-1    utilities to configure the GNOME d
ii  libart-2.0-2               2.3.19-3      Library of functions for 2D graphi
ii  libatk1.0-0                1.20.0-1      The ATK accessibility toolkit
ii  libbonobo2-0               2.20.0-1      Bonobo CORBA interfaces library
ii  libc6                      2.6.1-5       GNU C Library: Shared libraries
ii  libcairo2                  1.4.10-1+b2   The Cairo 2D vector graphics libra
ii  libeel2-2.18               2.18.3-1      Eazel Extensions Library (for GNOM
ii  libesd0                    0.2.36-3      Enlightened Sound Daemon - Shared
ii  libexif12                  0.6.16-2      library to parse EXIF files
ii  libgail-common             1.20.0-1      GNOME Accessibility Implementation
ii  libgail18                  1.20.0-1      GNOME Accessibility Implementation
ii  libgconf2-4                2.20.0-1      GNOME configuration database syste
ii  libglade2-0                1:2.6.2-1     library to load .glade files at ru
ii  libglib2.0-0               2.14.1-3      The GLib library of C routines
ii  libgnome-desktop-2         2.20.0-2      Utility library for loading .deskt
ii  libgnome2-0                2.20.0-1      The GNOME 2 library - runtime file
ii  libgnomecanvas2-0          2.20.0-1      A powerful object-oriented display
ii  libgnomeui-0               2.20.0-1      The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0             1:2.20.0-1    GNOME Virtual File System (runtime
ii  libgtk2.0-0                2.12.0-2      The GTK+ graphical user interface
ii  libnautilus-extension1     2.18.3-3      libraries for nautilus components
ii  liborbit2                  1:2.14.7-0.1  libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0              1.18.2-1      Layout and rendering of internatio
ii  librsvg2-2                 2.18.2-1      SAX-based renderer library for SVG
ii  libselinux1                2.0.15-2+b1   SELinux shared libraries
ii  libstartup-notification0   0.9-1         library for program launch feedbac
ii  libtrackerclient0          0.6.2-2       metadata database, indexer and sea
ii  libx11-6                   2:1.0.3-7     X11 client-side library
ii  libxml2                    2.6.30.dfsg-2 GNOME XML library
ii  nautilus-data              2.18.3-3      data files for nautilus
ii  shared-mime-info           0.22-2        FreeDesktop.org shared MIME databa

Versions of packages nautilus recommends:
ii  desktop-base                  4.0.3      common files for the Debian Deskto
ii  eject                         2.1.5-5    ejects CDs and operates CD-Changer
pn  fam                           <none>     (no description available)
ii  libgnomevfs2-extra            1:2.20.0-1 GNOME Virtual File System (extra m
ii  librsvg2-common               2.18.2-1   SAX-based renderer library for SVG
ii  nautilus-cd-burner            2.18.2-1   CD Burning front-end for Nautilus

-- no debconf information
kdienes@www:~$





Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#443701; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to 443701@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #10 received at 443701@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Klee Dienes <klee@MIT.EDU>, 443701@bugs.debian.org
Subject: Re: Bug#443701: nautilus crash getting properties of large tiff file on amd64
Date: Fri, 02 Nov 2007 15:18:53 +0100
[Message part 1 (text/plain, inline)]
Hi,

Le dimanche 23 septembre 2007 à 09:24 -0500, Klee Dienes a écrit :
> Package: nautilus
> Version: 2.18.3-3
> Severity: important
> 
> Nautilus crashes on amd64 when trying to display properties for a very large TIFF file (150MB).
> I am unable to generate a bug-buddy report as it crashes as well in a different section of the code.
> 
> The crash is 100% reproducible; I am happy to provide the TIFF file or other additional
> information on request.
> 
> Backtrace:
> 
> #0  0x00002afb9bbc46a5 in raise () from /lib/libc.so.6
> #1  0x00002afb9bbc6100 in abort () from /lib/libc.so.6
> #2  0x00002afb9af40350 in IA__g_logv (log_domain=0x2afb98f1ef17 "Gtk", log_level=G_LOG_LEVEL_ERROR, format=0x2afb9af6f038 "file %s: line %d (%s): assertion failed: (%s)", args1=0x7fff13ba3a70) at /build/buildd/glib2.0-2.14.1/glib/gmessages.c:497
> #3  0x00002afb9af403d3 in IA__g_log (log_domain=0x4f3a <Address 0x4f3a out of bounds>, log_level=20282, format=0x6 <Address 0x6 out of bounds>) at /build/buildd/glib2.0-2.14.1/glib/gmessages.c:517
> #4  0x00002afb9af40456 in IA__g_assert_warning (log_domain=0x2afb98f1ef17 "Gtk", file=0x2afb98fa89c0 "/build/buildd/gtk+2.0-2.12.0/gtk/gtkliststore.c", line=1677, pretty_function=0x2afb98fa9100 "gtk_list_store_compare_func", expression=0x2afb98fa89f0 "VALID_ITER (&iter_b, list_store)") at /build/buildd/glib2.0-2.14.1/glib/gmessages.c:552
> #5  0x00002afb98dd724b in gtk_list_store_compare_func (a=0x1011950, b=0xfa7d40, user_data=<value optimized out>) at /build/buildd/gtk+2.0-2.12.0/gtk/gtkliststore.c:1677
> #6  0x00000000004fd329 in ?? ()
> #7  0x00000000004fd4d9 in ?? ()
> #8  0x00000000004fdd60 in g_sequence_sort_changed_iter ()
> #9  0x00002afb98dd7684 in gtk_list_store_sort_iter_changed (list_store=0xc48c20, iter=0x7fff13ba3e20, column=<value optimized out>) at /build/buildd/gtk+2.0-2.12.0/gtk/gtkliststore.c:1758
> #10 0x00002afb98dd93c3 in IA__gtk_list_store_set_valist (list_store=0xc48c20, iter=0x7fff13ba3e20, var_args=0x7fff13ba3cd0) at /build/buildd/gtk+2.0-2.12.0/gtk/gtkliststore.c:901
> #11 0x00002afb98dd9488 in IA__gtk_list_store_set (list_store=0x4f3a, iter=0x4f3a) at /build/buildd/gtk+2.0-2.12.0/gtk/gtkliststore.c:934
> #12 0x00002afb9758de41 in ?? () from /usr/lib/libeel-2-2.18.so
> #13 0x00002afb9758e6a1 in eel_mime_application_chooser_new () from /usr/lib/libeel-2-2.18.so
> #14 0x000000000049a5b7 in ?? ()
> #15 0x00000000004b0b0f in ?? ()
> #16 0x00002afb9af37d54 in IA__g_main_context_dispatch (context=0x786c60) at /build/buildd/glib2.0-2.14.1/glib/gmain.c:2061
> #17 0x00002afb9af3b03d in g_main_context_iterate (context=0x786c60, block=1, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.14.1/glib/gmain.c:2694
> #18 0x00002afb9af3b337 in IA__g_main_loop_run (loop=0x7970a0) at /build/buildd/glib2.0-2.14.1/glib/gmain.c:2898
> #19 0x00002afb98ddbec3 in IA__gtk_main () at /build/buildd/gtk+2.0-2.12.0/gtk/gtkmain.c:1144
> #20 0x0000000000453633 in main ()

It would be nice if you could check whether this works with nautilus
2.20. There have been a few crashers fixed in eel 2.20, and it could be
one of those.

Thanks,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#443701; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to Alexander Krayniuk <asandros@gmail.com>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #15 received at 443701@bugs.debian.org (full text, mbox):

From: Alexander Krayniuk <asandros@gmail.com>
To: 443701@bugs.debian.org
Subject: nautilus crash getting properties of large tiff file on amd64
Date: Fri, 02 Nov 2007 23:13:10 +0200
Hi,

I have the similar problem with nautilus 2.18.3-3 (#449070). And can 
confirm than it has been resolved with nautilus upgrade to 2.20.0-1 version.

-- 
Alexander Krayniuk




Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Klee Dienes <klee@MIT.EDU>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 443701-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 443701-close@bugs.debian.org
Subject: Bug#443701: fixed in gtk+2.0 2.12.1-2
Date: Sun, 04 Nov 2007 16:02:07 +0000
Source: gtk+2.0
Source-Version: 2.12.1-2

We believe that the bug you reported is fixed in the latest version of
gtk+2.0, which is due to be installed in the Debian FTP archive:

gtk+2.0_2.12.1-2.diff.gz
  to pool/main/g/gtk+2.0/gtk+2.0_2.12.1-2.diff.gz
gtk+2.0_2.12.1-2.dsc
  to pool/main/g/gtk+2.0/gtk+2.0_2.12.1-2.dsc
gtk2-engines-pixbuf_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/gtk2-engines-pixbuf_2.12.1-2_amd64.deb
gtk2.0-examples_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/gtk2.0-examples_2.12.1-2_amd64.deb
libgtk-directfb-2.0-0-udeb_2.12.1-2_amd64.udeb
  to pool/main/g/gtk+2.0/libgtk-directfb-2.0-0-udeb_2.12.1-2_amd64.udeb
libgtk-directfb-2.0-0_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/libgtk-directfb-2.0-0_2.12.1-2_amd64.deb
libgtk-directfb-2.0-dev_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/libgtk-directfb-2.0-dev_2.12.1-2_amd64.deb
libgtk2.0-0-dbg_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/libgtk2.0-0-dbg_2.12.1-2_amd64.deb
libgtk2.0-0_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/libgtk2.0-0_2.12.1-2_amd64.deb
libgtk2.0-bin_2.12.1-2_all.deb
  to pool/main/g/gtk+2.0/libgtk2.0-bin_2.12.1-2_all.deb
libgtk2.0-common_2.12.1-2_all.deb
  to pool/main/g/gtk+2.0/libgtk2.0-common_2.12.1-2_all.deb
libgtk2.0-dev_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/libgtk2.0-dev_2.12.1-2_amd64.deb
libgtk2.0-doc_2.12.1-2_all.deb
  to pool/main/g/gtk+2.0/libgtk2.0-doc_2.12.1-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 443701@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated gtk+2.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 04 Nov 2007 16:22:31 +0100
Source: gtk+2.0
Binary: libgtk2.0-dev gtk2-engines-pixbuf libgtk-directfb-2.0-dev libgtk-directfb-2.0-0 libgtk-directfb-2.0-0-udeb libgtk2.0-0-dbg libgtk2.0-0 libgtk2.0-doc gtk2.0-examples libgtk2.0-common libgtk2.0-bin
Architecture: source amd64 all
Version: 2.12.1-2
Distribution: unstable
Urgency: low
Maintainer: Sebastien Bacher <seb128@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 gtk2-engines-pixbuf - Pixbuf-based theme for GTK+ 2.x
 gtk2.0-examples - Examples files for the GTK+ 2.0
 libgtk-directfb-2.0-0 - The GTK+ graphical user interface library - DirectFB runtime
 libgtk-directfb-2.0-0-udeb - The GTK+ graphical user interface library - minimal runtime (udeb)
 libgtk-directfb-2.0-dev - Development files for the GTK+ library - DirectFB version
 libgtk2.0-0 - The GTK+ graphical user interface library
 libgtk2.0-0-dbg - The GTK+ libraries and debugging symbols
 libgtk2.0-bin - The programs for the GTK+ graphical user interface library
 libgtk2.0-common - Common files for the GTK+ graphical user interface library
 libgtk2.0-dev - Development files for the GTK+ library
 libgtk2.0-doc - Documentation for the GTK+ graphical user interface library
Closes: 343711 443701 447279 448071 448674 499070
Changes: 
 gtk+2.0 (2.12.1-2) unstable; urgency=low
 .
   * Stop suggesting gtk-engines-pixmap.
   * Remove the --enable-explicit-deps flag. Closes: #343711, thanks Tom
     Parker. If some other packages still rely on having explicit X11
     dependencies, they are buggy and need to be fixed anyway.
   * Keep --enable-explicit-deps in the directfb build; otherwise this
     breaks any binary linking against it because the rpath isn't passed.
   * 033_treeview_resizing.patch: updated patch from Kristian Rietveld.
     + Add a new sizing fix for the case where there is a scrollbar.
   * 031_gtksearchenginetracker_fixes.patch: added back, only the name
     change was fixed upstream.
   * 034_gtkcupsutils_type_fix.patch: type-casting fix from Herbert
     Valerio Riedel that allows remote printing. Closes: #448071.
   * 040_filechooser_single-click.patch: allow a situation where no
     shortcut is selected, to avoid issues for keyboard users.
     Closes: #448674.
   * 042_treeview_single_focus.patch: don't select the focused item for
     GTK_SELECTION_SINGLE type treeviews. Allows the fix in
     040_filechooser_single-click.patch to work.
   * Conflict against libeel2-2.18. Closes: #443701, #499070.
   * Conflict against xfwm4 < 4.4.1-3 (previous versions freeze on
     startup).
   * 021_loader-files-d.patch: enclose process_module_file in correct
     #ifdef's.
   * 040_filechooser_single-click.patch: filter out duplicate entries in
     bookmarks. This avoids a situation where the selection is changed to
     the duplicate during DnD, causing an assertion error.
     Closes: #447279.
Files: 
 00e57d6cb018adfd8b87348b926742e4 1528 libs optional gtk+2.0_2.12.1-2.dsc
 3c2aa0147ab246882c7316c270fe5a8b 85116 libs optional gtk+2.0_2.12.1-2.diff.gz
 fd06d5d9909a87d13f5f2f9ae912b6b9 5059364 misc optional libgtk2.0-common_2.12.1-2_all.deb
 2d7667bb343f6cb05b9bc6f87d5a5de2 8098 misc optional libgtk2.0-bin_2.12.1-2_all.deb
 3dc56c7d631b9bbb00317cb72d93d0d5 3184660 doc optional libgtk2.0-doc_2.12.1-2_all.deb
 df8f6b42f50cf96da305637964821ca5 2114270 libs optional libgtk2.0-0_2.12.1-2_amd64.deb
 d22ac8f47863b969d400a57831cfd488 1792650 libs optional libgtk-directfb-2.0-0_2.12.1-2_amd64.deb
 0ce96e75f97b59de9e3a2e62616b9346 1847162 debian-installer extra libgtk-directfb-2.0-0-udeb_2.12.1-2_amd64.udeb
 7fe778f255d105abfb385b14d7d0def1 3014610 libdevel optional libgtk2.0-dev_2.12.1-2_amd64.deb
 00671de3f0b7a61258be236d063ccc20 5532 libdevel optional libgtk-directfb-2.0-dev_2.12.1-2_amd64.deb
 54015016b7bbaf630437e4c890147e9a 9782066 libdevel extra libgtk2.0-0-dbg_2.12.1-2_amd64.deb
 3531db7119681f36cf711b16b1464a9a 450718 x11 extra gtk2.0-examples_2.12.1-2_amd64.deb
 cb24dd823fd42398888237ef1faa3990 129250 graphics optional gtk2-engines-pixbuf_2.12.1-2_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHLelCrSla4ddfhTMRAmMwAKCKUtOL8Vg2Di8vzWyy7amGr2eQJQCgw6uH
DvrvdOxf496043GtRZ4Ip+0=
=wt4R
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#443701; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to Klee Dienes <klee@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #25 received at 443701@bugs.debian.org (full text, mbox):

From: Klee Dienes <klee@MIT.EDU>
To: 443701@bugs.debian.org
Subject: Re: Bug#443701: nautilus crash getting properties of large tiff file on amd64
Date: Sun, 04 Nov 2007 10:15:36 -0600
It appears to have been fixed in 2.20.  Thank you for your work to
fix it!

Josselin Mouette wrote:
> Hi,
> 
> Le dimanche 23 septembre 2007 à 09:24 -0500, Klee Dienes a écrit :
>> Package: nautilus
>> Version: 2.18.3-3
>> Severity: important
>>
>> Nautilus crashes on amd64 when trying to display properties for a very large TIFF file (150MB).
>> I am unable to generate a bug-buddy report as it crashes as well in a different section of the code.
>>
>> The crash is 100% reproducible; I am happy to provide the TIFF file or other additional
>> information on request.
>>
>> Backtrace:




Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Klee Dienes <klee@MIT.EDU>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 443701-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 443701-close@bugs.debian.org
Subject: Bug#443701: fixed in gtk+2.0 2.12.1-2
Date: Tue, 13 Nov 2007 09:32:06 +0000
Source: gtk+2.0
Source-Version: 2.12.1-2

We believe that the bug you reported is fixed in the latest version of
gtk+2.0, which is due to be installed in the Debian FTP archive:

gtk+2.0_2.12.1-2.diff.gz
  to pool/main/g/gtk+2.0/gtk+2.0_2.12.1-2.diff.gz
gtk+2.0_2.12.1-2.dsc
  to pool/main/g/gtk+2.0/gtk+2.0_2.12.1-2.dsc
gtk2-engines-pixbuf_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/gtk2-engines-pixbuf_2.12.1-2_amd64.deb
gtk2.0-examples_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/gtk2.0-examples_2.12.1-2_amd64.deb
libgtk-directfb-2.0-0-udeb_2.12.1-2_amd64.udeb
  to pool/main/g/gtk+2.0/libgtk-directfb-2.0-0-udeb_2.12.1-2_amd64.udeb
libgtk-directfb-2.0-0_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/libgtk-directfb-2.0-0_2.12.1-2_amd64.deb
libgtk-directfb-2.0-dev_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/libgtk-directfb-2.0-dev_2.12.1-2_amd64.deb
libgtk2.0-0-dbg_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/libgtk2.0-0-dbg_2.12.1-2_amd64.deb
libgtk2.0-0_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/libgtk2.0-0_2.12.1-2_amd64.deb
libgtk2.0-bin_2.12.1-2_all.deb
  to pool/main/g/gtk+2.0/libgtk2.0-bin_2.12.1-2_all.deb
libgtk2.0-common_2.12.1-2_all.deb
  to pool/main/g/gtk+2.0/libgtk2.0-common_2.12.1-2_all.deb
libgtk2.0-dev_2.12.1-2_amd64.deb
  to pool/main/g/gtk+2.0/libgtk2.0-dev_2.12.1-2_amd64.deb
libgtk2.0-doc_2.12.1-2_all.deb
  to pool/main/g/gtk+2.0/libgtk2.0-doc_2.12.1-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 443701@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated gtk+2.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 04 Nov 2007 16:22:31 +0100
Source: gtk+2.0
Binary: libgtk2.0-dev gtk2-engines-pixbuf libgtk-directfb-2.0-dev libgtk-directfb-2.0-0 libgtk-directfb-2.0-0-udeb libgtk2.0-0-dbg libgtk2.0-0 libgtk2.0-doc gtk2.0-examples libgtk2.0-common libgtk2.0-bin
Architecture: source amd64 all
Version: 2.12.1-2
Distribution: unstable
Urgency: low
Maintainer: Sebastien Bacher <seb128@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 gtk2-engines-pixbuf - Pixbuf-based theme for GTK+ 2.x
 gtk2.0-examples - Examples files for the GTK+ 2.0
 libgtk-directfb-2.0-0 - The GTK+ graphical user interface library - DirectFB runtime
 libgtk-directfb-2.0-0-udeb - The GTK+ graphical user interface library - minimal runtime (udeb)
 libgtk-directfb-2.0-dev - Development files for the GTK+ library - DirectFB version
 libgtk2.0-0 - The GTK+ graphical user interface library
 libgtk2.0-0-dbg - The GTK+ libraries and debugging symbols
 libgtk2.0-bin - The programs for the GTK+ graphical user interface library
 libgtk2.0-common - Common files for the GTK+ graphical user interface library
 libgtk2.0-dev - Development files for the GTK+ library
 libgtk2.0-doc - Documentation for the GTK+ graphical user interface library
Closes: 343711 443701 447279 448071 448674 499070
Changes: 
 gtk+2.0 (2.12.1-2) unstable; urgency=low
 .
   * Stop suggesting gtk-engines-pixmap.
   * Remove the --enable-explicit-deps flag. Closes: #343711, thanks Tom
     Parker. If some other packages still rely on having explicit X11
     dependencies, they are buggy and need to be fixed anyway.
   * Keep --enable-explicit-deps in the directfb build; otherwise this
     breaks any binary linking against it because the rpath isn't passed.
   * 033_treeview_resizing.patch: updated patch from Kristian Rietveld.
     + Add a new sizing fix for the case where there is a scrollbar.
   * 031_gtksearchenginetracker_fixes.patch: added back, only the name
     change was fixed upstream.
   * 034_gtkcupsutils_type_fix.patch: type-casting fix from Herbert
     Valerio Riedel that allows remote printing. Closes: #448071.
   * 040_filechooser_single-click.patch: allow a situation where no
     shortcut is selected, to avoid issues for keyboard users.
     Closes: #448674.
   * 042_treeview_single_focus.patch: don't select the focused item for
     GTK_SELECTION_SINGLE type treeviews. Allows the fix in
     040_filechooser_single-click.patch to work.
   * Conflict against libeel2-2.18. Closes: #443701, #499070.
   * Conflict against xfwm4 < 4.4.1-3 (previous versions freeze on
     startup).
   * 021_loader-files-d.patch: enclose process_module_file in correct
     #ifdef's.
   * 040_filechooser_single-click.patch: filter out duplicate entries in
     bookmarks. This avoids a situation where the selection is changed to
     the duplicate during DnD, causing an assertion error.
     Closes: #447279.
Files: 
 00e57d6cb018adfd8b87348b926742e4 1528 libs optional gtk+2.0_2.12.1-2.dsc
 3c2aa0147ab246882c7316c270fe5a8b 85116 libs optional gtk+2.0_2.12.1-2.diff.gz
 fd06d5d9909a87d13f5f2f9ae912b6b9 5059364 misc optional libgtk2.0-common_2.12.1-2_all.deb
 2d7667bb343f6cb05b9bc6f87d5a5de2 8098 misc optional libgtk2.0-bin_2.12.1-2_all.deb
 3dc56c7d631b9bbb00317cb72d93d0d5 3184660 doc optional libgtk2.0-doc_2.12.1-2_all.deb
 df8f6b42f50cf96da305637964821ca5 2114270 libs optional libgtk2.0-0_2.12.1-2_amd64.deb
 d22ac8f47863b969d400a57831cfd488 1792650 libs optional libgtk-directfb-2.0-0_2.12.1-2_amd64.deb
 0ce96e75f97b59de9e3a2e62616b9346 1847162 debian-installer extra libgtk-directfb-2.0-0-udeb_2.12.1-2_amd64.udeb
 7fe778f255d105abfb385b14d7d0def1 3014610 libdevel optional libgtk2.0-dev_2.12.1-2_amd64.deb
 00671de3f0b7a61258be236d063ccc20 5532 libdevel optional libgtk-directfb-2.0-dev_2.12.1-2_amd64.deb
 54015016b7bbaf630437e4c890147e9a 9782066 libdevel extra libgtk2.0-0-dbg_2.12.1-2_amd64.deb
 3531db7119681f36cf711b16b1464a9a 450718 x11 extra gtk2.0-examples_2.12.1-2_amd64.deb
 cb24dd823fd42398888237ef1faa3990 129250 graphics optional gtk2-engines-pixbuf_2.12.1-2_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHLelCrSla4ddfhTMRAmMwAKCKUtOL8Vg2Di8vzWyy7amGr2eQJQCgw6uH
DvrvdOxf496043GtRZ4Ip+0=
=wt4R
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#443701; Package nautilus. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #35 received at 443701@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: John Talbut <john@dpets.demon.co.uk>
Cc: debian-gtk-gnome@lists.debian.org, debian-release <debian-release@lists.debian.org>, 443701@bugs.debian.org
Subject: Re: Nautilus crashes when viewing properties
Date: Sun, 18 Nov 2007 10:47:46 +0100
[Message part 1 (text/plain, inline)]
Hi,

Le dimanche 18 novembre 2007 à 07:31 +0000, John Talbut a écrit :
> Hello
> 
> This problem is generating loads of reports at gnome: 
> http://bugzilla.gnome.org/show_bug.cgi?id=440988 including mine!
> 
> It seems to be reported as being fixed: 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=449070 by upgrading to nautilus 
>   2.20.0-1.  However
> 
> nautilus 2.20.0-1 seems to be stuck in unstable and it is marked as urgency: low

Yes, the eel migration is waiting for several things, especially hal
which has 2 critical bugs. I'm very sorry that it affects your Bugzilla,
but there's not much I can do at that time. I'm CCing the release team
so that they know this is an important matter, but I'm afraid this is
going to last for a while.

> Also, which is the correct Debian bug for Gnome bug 440988 so that this can be 
> referenced from Gnome and other bugs marked as duplicates.  Also, can it be 
> listed in the Nautilus change log so that it shows up properly as being resolved 
> by this upgrade.  I am asking this because it took me a considerable time to 
> track down that this was an existing bug that had already been fixed.

It seems that the bug has been coincidentally fixed by the new function
introduced to fix http://bugzilla.gnome.org/show_bug.cgi?id=359912 in
eel commit r1869. It replaces the GtkListStore compare function in which
lies the crash with a specific one that works correctly.

If you need a reference, please use http://bugs.debian.org/443701 which
I'm CCing.

Cheers,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

No longer marked as found in versions nautilus/2.18.3-3. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 02 Nov 2013 15:57:54 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Dec 2013 07:25:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:55:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.